<?php
/*
 * Radian Functions.php
 * Allrights Reserved
 */

add_theme_support( 'menus' );

function register_my_menus() {
  register_nav_menus(
    array(
      'header-menu' => __( 'منوی بالای سایت' )
    )
  );
}
add_action( 'init', 'register_my_menus' );

include 'panel/panel.php';


if ( function_exists('register_sidebar') )
register_sidebar(array(
'name'          => 'ابزارک راست',
'id'   => 'sidebar-widgets-right',
'description'   => 'سایدبار راست',
'description'   => '',
'before_widget' => '',
'after_widget'  => '</ul>
        </div>
      </div>',
'before_title'  => '<div class="sidebar-right">
        <div class="icn-sidebar-right">
          <div class="icn-sidebar-right2">
            <div class="icn"><i class="fa fa-bars ico-rest4"></i></div>
          </div>
        </div>
        <div class="sidebar-right2">
          <div class="title_sidebarr">',
'after_title'   => '</div>
          <div class="line_title_sidebar"></div>
          <br />
          <ul class="side-mo">'
));



if ( function_exists('register_sidebar') )
register_sidebar(array(
'name'          => 'ابزارک چپ',
'id'   => 'sidebar-widgets-left',
'description'   => 'سایدبار چپ',
'description'   => '',
'before_widget' => '',
'after_widget'  => '</div>
      </div>',
'before_title'  => '<div class="sidebar-left">
        <div class="icn-sidebar-left">
          <div class="icn-sidebar-left2">
            <div class="icn"><i class="fa fa-bars ico-rest4"></i></div>
          </div>
        </div>
        <div class="sidebar-left2">
          <div class="title_sidebarr">',
'after_title'   => '</div>
          <div class="line_title_sidebar"></div>
		  <br />
				<ul class="side-mo">'
));


function getPostViews($postID){
$count_key = 'post_views_count';
$count = get_post_meta($postID, $count_key, true);
if($count==''){
delete_post_meta($postID, $count_key);
add_post_meta($postID, $count_key, '0');
return "بدون بازدید";
}
return $count.' بازدید';
}
 
// function to count views.
function setPostViews($postID) {
$count_key = 'post_views_count';
$count = get_post_meta($postID, $count_key, true);
if($count==''){
$count = 0;
delete_post_meta($postID, $count_key);
add_post_meta($postID, $count_key, '0');
}else{
$count++;
update_post_meta($postID, $count_key, $count);
}
}



add_filter('manage_posts_columns', 'posts_column_views');
add_action('manage_posts_custom_column', 'posts_custom_column_views',5,2);
function posts_column_views($defaults){
$defaults['post_views'] = __('بازدید');
return $defaults;
}
function posts_custom_column_views($column_name, $id){
if($column_name === 'post_views'){
echo getPostViews(get_the_ID());
}
}



function add_custom_meta_box() {  
    add_meta_box(  
        'custom_meta_box',   
        '!اطلاعات مطلب را وارد کنید',   
        'show_custom_meta_box',   
        'post',   
        'normal',   
        'high');   
}  
add_action('add_meta_boxes', 'add_custom_meta_box');  
// Field Array  
    $prefix = 'custom_';  
    $custom_meta_fields = array(   
        array(  
            'label'=> 'نام انگلیسی',  
            'desc'  => '',  
            'id'    => $prefix.'en-name',  
            'type'  => 'text'  
        ),
        array(  
            'label'=> 'توضیح انگلیسی مختصر',  
            'desc'  => '',  
            'id'    => $prefix.'en-des',  
            'type'  => 'text'  
        ),
        array(  
            'label'=> '<b style="color:#E84a3a">جهت نمایش کادر دانلود</b>',  
            'desc'  => 'حتما این تیک زده شود',  
            'id'    => $prefix.'box-downloads',  
            'type'  => 'checkbox'  
        ),
        array(  
            'label'=> '<b style="color:#3297da">اطلاعات مربوط به دانلود آهنگ</b>',  
        ),
        array(  
            'label'=> 'لینک آهنگ کیفیت 320',  
            'desc'  => '',  
            'id'    => $prefix.'direct-music320',  
            'type'  => 'text'  
        ),
        array(  
            'label'=> 'لینک آهنگ کیفیت 128',  
            'desc'  => '',  
            'id'    => $prefix.'direct-music128',  
            'type'  => 'text'  
        ),
        array(  
            'label'=> 'لینک آهنگ برای پخش آنلاین و کد وبلاگ',  
            'desc'  => '',  
            'id'    => $prefix.'online',  
            'type'  => 'text'  
        ),
        array(  
            'label'=> '<b style="color:#3297da">اطلاعات مربوط به دانلود آلبوم</b>',  
        ),
        array(  
            'label'=> 'لینک دانلود آلبوم 320',  
            'desc'  => '',  
            'id'    => $prefix.'direct-albume320',  
            'type'  => 'text'  
        ),
        array(  
            'label'=> 'لینک دانلود آلبوم 320 تکی',  
            'desc'  => '',  
            'id'    => $prefix.'taki-albume320',  
            'type'  => 'text'  
        ),
        array(  
            'label'=> 'لینک دانلود آلبوم 128',  
            'desc'  => '',  
            'id'    => $prefix.'direct-albume128',  
            'type'  => 'text'  
        ),
        array(  
            'label'=> 'لینک دانلود آلبوم 128 تکی',  
            'desc'  => '',  
            'id'    => $prefix.'taki-albume128',  
            'type'  => 'text'  
        ),
        array(  
            'label'=> '<b style="color:#3297da">اطلاعات مربوط به دانلود موزیک ویدیو</b>',  
        ),
        array(  
            'label'=> 'موزیک ویدیو با کیفیت 1080p عالی',  
            'desc'  => '',  
            'id'    => $prefix.'direct-video1080p',  
            'type'  => 'text'  
        ),
        array(  
            'label'=> 'موزیک ویدیو با کیفیت 720p متوسط',  
            'desc'  => '',  
            'id'    => $prefix.'direct-video720p',  
            'type'  => 'text'  
        ),
        array(  
            'label'=> 'موزیک ویدیو با کیفیت 480p پایین',  
            'desc'  => '',  
            'id'    => $prefix.'direct-video480p',  
            'type'  => 'text'  
        ),
        array(  
            'label'=> 'موزیک ویدیو با کیفیت موبایل',  
            'desc'  => '',  
            'id'    => $prefix.'direct-video-mob',  
            'type'  => 'text'  
        ),
        array(  
            'label'=> 'لینک موزیک ویدیو پخش آنلاین',  
            'desc'  => '',  
            'id'    => $prefix.'video-online',  
            'type'  => 'text'  
        ),
		array(  
            'label'=> '<b style="color:#3297da">اطلاعات مربوط یه فیلم و سریال</b>',  
        ),
		array(  
            'label'=> 'لینک فیلم',  
            'desc'  => '',  
            'id'    => $prefix.'direct-film',  
            'type'  => 'text'  
        ),
		array(  
            'label'=> 'لینک کمکی اول',  
            'desc'  => '',  
            'id'    => $prefix.'indirect-film',  
            'type'  => 'text'  
        ),
		array(  
            'label'=> 'لینک کمکی دوم',  
            'desc'  => '',  
            'id'    => $prefix.'indirect-film2',  
            'type'  => 'text'  
        ),
		array(  
            'label'=> 'لینک سریال',  
            'desc'  => '',  
            'id'    => $prefix.'direct-serial',  
            'type'  => 'text'  
        ),
		array(  
            'label'=> 'لینک کمکی اول',  
            'desc'  => '',  
            'id'    => $prefix.'indirect-serial',  
            'type'  => 'text'  
        ),
		array(  
            'label'=> 'لینک کمکی دوم',  
            'desc'  => '',  
            'id'    => $prefix.'indirect-serial2',  
            'type'  => 'text'  
        ),
		array(  
            'label'=> 'زیر نویس فیلم',  
            'desc'  => '',  
            'id'    => $prefix.'subtitles',  
            'type'  => 'text'  
        ),
		array(  
            'label'=> 'فایل صوتی دوبله فیلم',  
            'desc'  => '',  
            'id'    => $prefix.'dubbed',  
            'type'  => 'text'  
        ),
		array(  
            'label'=> '<b style="color:#E84a3a">جهت نمایش آلبوم پخش آنلاین</b>',  
            'desc'  => 'حتما این تیک زده شود',  
            'id'    => $prefix.'albume-online',  
            'type'  => 'checkbox'  
        ),
        array(  
            'label'=> '<b style="color:#3297da">اطلاعات مربوط به آلبوم پخش آنلاین</b>',  
        ),
        array(  
            'label'=> 'عنوان آهنگ 1',  
            'desc'  => '',  
            'id'    => $prefix.'txtmusic1',  
            'type'  => 'text'  
        ),
        array(  
            'label'=> 'لینک آهنگ 1',  
            'desc'  => '',  
            'id'    => $prefix.'linkmusic1',  
            'type'  => 'text'  
        ),
        array(  
            'label'=> 'عنوان آهنگ 2',  
            'desc'  => '',  
            'id'    => $prefix.'txtmusic2',  
            'type'  => 'text'  
        ),
        array(  
            'label'=> 'لینک آهنگ 2',  
            'desc'  => '',  
            'id'    => $prefix.'linkmusic2',  
            'type'  => 'text'  
        ),
        array(  
            'label'=> 'عنوان آهنگ 3',  
            'desc'  => '',  
            'id'    => $prefix.'txtmusic3',  
            'type'  => 'text'  
        ),
        array(  
            'label'=> 'لینک آهنگ 3',  
            'desc'  => '',  
            'id'    => $prefix.'linkmusic3',  
            'type'  => 'text'  
        ),
        array(  
            'label'=> 'عنوان آهنگ 4',  
            'desc'  => '',  
            'id'    => $prefix.'txtmusic4',  
            'type'  => 'text'  
        ),
        array(  
            'label'=> 'لینک آهنگ 4',  
            'desc'  => '',  
            'id'    => $prefix.'linkmusic4',  
            'type'  => 'text'  
        ),
        array(  
            'label'=> 'عنوان آهنگ 5',  
            'desc'  => '',  
            'id'    => $prefix.'txtmusic5',  
            'type'  => 'text'  
        ),
        array(  
            'label'=> 'لینک آهنگ 5',  
            'desc'  => '',  
            'id'    => $prefix.'linkmusic5',  
            'type'  => 'text'  
        ),
        array(  
            'label'=> 'عنوان آهنگ 6',  
            'desc'  => '',  
            'id'    => $prefix.'txtmusic6',  
            'type'  => 'text'  
        ),
        array(  
            'label'=> 'لینک آهنگ 6',  
            'desc'  => '',  
            'id'    => $prefix.'linkmusic6',  
            'type'  => 'text'  
        ),
        array(  
            'label'=> 'عنوان آهنگ 7',  
            'desc'  => '',  
            'id'    => $prefix.'txtmusic7',  
            'type'  => 'text'  
        ),
        array(  
            'label'=> 'لینک آهنگ 7',  
            'desc'  => '',  
            'id'    => $prefix.'linkmusic7',  
            'type'  => 'text'  
        ),
        array(  
            'label'=> 'عنوان آهنگ 8',  
            'desc'  => '',  
            'id'    => $prefix.'txtmusic8',  
            'type'  => 'text'  
        ),
        array(  
            'label'=> 'لینک آهنگ 8',  
            'desc'  => '',  
            'id'    => $prefix.'linkmusic8',  
            'type'  => 'text'  
        ),
        array(  
            'label'=> 'عنوان آهنگ 9',  
            'desc'  => '',  
            'id'    => $prefix.'txtmusic9',  
            'type'  => 'text'  
        ),
        array(  
            'label'=> 'لینک آهنگ 9',  
            'desc'  => '',  
            'id'    => $prefix.'linkmusic9',  
            'type'  => 'text'  
        ),
        array(  
            'label'=> 'عنوان آهنگ 10',  
            'desc'  => '',  
            'id'    => $prefix.'txtmusic10',  
            'type'  => 'text'  
        ),
        array(  
            'label'=> 'لینک آهنگ 10',  
            'desc'  => '',  
            'id'    => $prefix.'linkmusic10',  
            'type'  => 'text'  
        ),
        array(  
            'label'=> 'عنوان آهنگ 11',  
            'desc'  => '',  
            'id'    => $prefix.'txtmusic11',  
            'type'  => 'text'  
        ),
        array(  
            'label'=> 'لینک آهنگ 11',  
            'desc'  => '',  
            'id'    => $prefix.'linkmusic11',  
            'type'  => 'text'  
        ),
        array(  
            'label'=> 'عنوان آهنگ 12',  
            'desc'  => '',  
            'id'    => $prefix.'txtmusic12',  
            'type'  => 'text'  
        ),
        array(  
            'label'=> 'لینک آهنگ 12',  
            'desc'  => '',  
            'id'    => $prefix.'linkmusic12',  
            'type'  => 'text'  
        ),
        array(  
            'label'=> 'عنوان آهنگ 13',  
            'desc'  => '',  
            'id'    => $prefix.'txtmusic13',  
            'type'  => 'text'  
        ),
        array(  
            'label'=> 'لینک آهنگ 13',  
            'desc'  => '',  
            'id'    => $prefix.'linkmusic13',  
            'type'  => 'text'  
        ),
        array(  
            'label'=> 'عنوان آهنگ 14',  
            'desc'  => '',  
            'id'    => $prefix.'txtmusic14',  
            'type'  => 'text'  
        ),
        array(  
            'label'=> 'لینک آهنگ 14',  
            'desc'  => '',  
            'id'    => $prefix.'linkmusic14',  
            'type'  => 'text'  
        ),
        array(  
            'label'=> 'عنوان آهنگ 15',  
            'desc'  => '',  
            'id'    => $prefix.'txtmusic15',  
            'type'  => 'text'  
        ),
        array(  
            'label'=> 'لینک آهنگ 15',  
            'desc'  => '',  
            'id'    => $prefix.'linkmusic15',  
            'type'  => 'text'  
        ),
        array(  
            'label'=> 'عنوان آهنگ 16',  
            'desc'  => '',  
            'id'    => $prefix.'txtmusic16',  
            'type'  => 'text'  
        ),
        array(  
            'label'=> 'لینک آهنگ 16',  
            'desc'  => '',  
            'id'    => $prefix.'linkmusic16',  
            'type'  => 'text'  
        ),
        array(  
            'label'=> 'عنوان آهنگ 17',  
            'desc'  => '',  
            'id'    => $prefix.'txtmusic17',  
            'type'  => 'text'  
        ),
        array(  
            'label'=> 'لینک آهنگ 17',  
            'desc'  => '',  
            'id'    => $prefix.'linkmusic17',  
            'type'  => 'text'  
        ),
        array(  
            'label'=> 'عنوان آهنگ 18',  
            'desc'  => '',  
            'id'    => $prefix.'txtmusic18',  
            'type'  => 'text'  
        ),
        array(  
            'label'=> 'لینک آهنگ 18',  
            'desc'  => '',  
            'id'    => $prefix.'linkmusic18',  
            'type'  => 'text'  
        ),
        array(  
            'label'=> 'عنوان آهنگ 19',  
            'desc'  => '',  
            'id'    => $prefix.'txtmusic19',  
            'type'  => 'text'  
        ),
        array(  
            'label'=> 'لینک آهنگ 19',  
            'desc'  => '',  
            'id'    => $prefix.'linkmusic19',  
            'type'  => 'text'  
        ),
        array(  
            'label'=> 'عنوان آهنگ 20',  
            'desc'  => '',  
            'id'    => $prefix.'txtmusic20',  
            'type'  => 'text'  
        ),
        array(  
            'label'=> 'لینک آهنگ 20',  
            'desc'  => '',  
            'id'    => $prefix.'linkmusic20',  
            'type'  => 'text'  
        ),
    );
    function show_custom_meta_box() {  
    global $custom_meta_fields, $post;   
    echo '<input type="hidden" name="custom_meta_box_nonce" value="'.wp_create_nonce(basename(__FILE__)).'" />';  
        echo '<table class="form-table">';  
        foreach ($custom_meta_fields as $field) {   
            $meta = get_post_meta($post->ID, $field['id'], true);  
            echo '<tr> 
                    <th><label for="'.$field['id'].'">'.$field['label'].'</label></th> 
                    <td>';  
                    switch($field['type']) {  
    case 'text':  
        echo '<input type="text" name="'.$field['id'].'" id="'.$field['id'].'" value="'.$meta.'" size="55" /> 
            <br /><span class="description">'.$field['desc'].'</span>';  
    break;
	// checkbox
case 'checkbox':
	echo '<input type="checkbox" name="'.$field['id'].'" id="'.$field['id'].'" ',$meta ? ' checked="checked"' : '','/>
		<label for="'.$field['id'].'">'.$field['desc'].'</label>';
break;	
                    } 
            echo '</td></tr>';  
        }  
        echo '</table>'; 
    }  
function save_custom_meta($post_id) {  
    global $custom_meta_fields;   
    if (!wp_verify_nonce($_POST['custom_meta_box_nonce'], basename(__FILE__)))  
        return $post_id;    
    if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE)  
        return $post_id;  
    if ('page' == $_POST['post_type']) {  
        if (!current_user_can('edit_page', $post_id))  
            return $post_id;  
        } elseif (!current_user_can('edit_post', $post_id)) {  
            return $post_id;  
    }  
    foreach ($custom_meta_fields as $field) {  
        $old = get_post_meta($post_id, $field['id'], true);  
        $new = $_POST[$field['id']];  
        if ($new && $new != $old) {  
            update_post_meta($post_id, $field['id'], $new);  
        } elseif ('' == $new && $old) {  
            delete_post_meta($post_id, $field['id'], $old);  
        }  
    }  
}  
add_action('save_post', 'save_custom_meta');
?>