<?php
add_action('admin_menu','abzardoni_add_menu');

function abzardoni_add_menu(){
    
    add_menu_page('تنظیمات قالب','تنظیمات قالب','manage_options','abzardoni_options','abzardoni_admin_page');
    
}

function abzardoni_admin_page(){
    
    if(isset($_POST['submit'])){
        
        isset($_POST['name_site'])?update_option('name_site',  sanitize_text_field($_POST['name_site'])):null;
                isset($_POST['des_site'])?update_option('des_site',  sanitize_text_field($_POST['des_site'])):null;
        isset($_POST['copy_site'])?update_option('copy_site',  sanitize_text_field($_POST['copy_site'])):null;
		isset($_POST['send_music'])?update_option('send_music',  sanitize_text_field($_POST['send_music'])):null;
        isset($_POST['req_music'])?update_option('req_music',  sanitize_text_field($_POST['req_music'])):null;
		
		isset($_POST['ads1'])?update_option('ads1',  sanitize_text_field($_POST['ads1'])):null;
                isset($_POST['ads11'])?update_option('ads11',  sanitize_text_field($_POST['ads11'])):null;
				
        isset($_POST['ads2'])?update_option('ads2',  sanitize_text_field($_POST['ads2'])):null;
		isset($_POST['ads22'])?update_option('ads22',  sanitize_text_field($_POST['ads22'])):null;
		
        isset($_POST['abzardoni_facebook'])?update_option('abzardoni_facebook',  sanitize_text_field($_POST['abzardoni_facebook'])):null;
         isset($_POST['abzardoni_twitter'])?update_option('abzardoni_twitter',  sanitize_text_field($_POST['abzardoni_twitter'])):null;
        isset($_POST['abzardoni_plus'])? update_option('abzardoni_plus',  sanitize_text_field($_POST['abzardoni_plus'])):null;
        
        isset($_POST['ads_page'])?update_option('ads_page',$_POST['ads_page']):null;
        
    }
    
 $tabs = array( 'homepage' => 'عمومی', 'social' => 'شبکه های اجتماعی', 'ads' => 'تبلیغات' ); 
 
 $current=  isset($_GET['tab']) && !empty($_GET['tab'])?$_GET['tab']:'homepage';
 
?>
<div class="wrap">
    <h2>تنظیمات قالب ابزاردونی</h2>

    <?php
    echo '<h2 class="nav-tab-wrapper">';
    foreach( $tabs as $tab => $name ){
        $class = ( $tab == $current ) ? ' nav-tab-active' : '';
        echo "<a class='nav-tab $class' href='?page=abzardoni_options&tab=$tab'>$name</a>";

    }
    echo '</h2>';
    ?>
    <form action="" method="POST">
    <table class="form-table">
        <?php switch ($current){
                
                    case 'homepage':?>
        
		   <tr>
                        <th class="row" >عنوان سایت به فارسی :</th>
                        <td>
                            <input style="width:300px;" type="text" name="name_site" value="<?php echo get_option('name_site'); ?>">
                        </td>
           </tr>
		   <tr>
                        <th class="row" >توضیحات سایت به فارسی</th>
                        <td>
                            <input style="width:300px;" type="text" name="des_site" value="<?php echo get_option('des_site'); ?>">
                        </td>
           </tr>
		   <tr>
                        <th class="row" >لینک ارسال آهنگ </th>
                        <td>
                            <input style="width:300px;" type="text" name="send_music" value="<?php echo get_option('send_music'); ?>">
                        </td>
           </tr>
		   <tr>
                        <th class="row" >لینک درخواست آهنگ</th>
                        <td>
                            <input style="width:300px;" type="text" name="req_music" value="<?php echo get_option('req_music'); ?>">
                        </td>
           </tr>
           <tr>
                        <th class="row" >متن کپی رایت سایت :</th>
                        <td>
                            <input style="width:300px; height:200px;" type="text" name="copy_site" value="<?php echo get_option('copy_site'); ?>">
                        </td>
           </tr>
        <?php break;
    
                    case 'social':
                        ?>
                   <tr>
                        <th class="row" >لینک پروفایل فیسبوک:</th>
                        <td>
                            <input style="width:300px;" type="text" name="abzardoni_facebook" value="<?php echo get_option('abzardoni_facebook'); ?>">
                        </td>
           </tr>
                   <tr>
                        <th class="row" >لینک پروفایل توئیتر:</th>
                        <td>
                            <input style="width:300px;" type="text" name="abzardoni_twitter" value="<?php echo get_option('abzardoni_twitter'); ?>">
                        </td>
           </tr>
                   <tr>
                        <th class="row" >لینک پروفایل گوگل پلاس :</th>
                        <td>
                            <input style="width:300px;" type="text" name="abzardoni_plus" value="<?php echo get_option('abzardoni_plus'); ?>">
                        </td>
           </tr>
           <?php
                        break;
                    
                    case 'ads':
                        
                        $pages=  get_pages();
                        
                         ?>
						 
                              <tr>
                        <th class="row" >آدرس بنر شماره یک - سمت چپ بالا-</th>
                        <td>
                            <input style="width:300px;" type="text" name="ads1" value="<?php echo get_option('ads1'); ?>">
                        </td>
                        <th class="row" >لینک بنر</th>
                        <td>
                            <input style="width:300px;" type="text" name="ads11" value="<?php echo get_option('ads11'); ?>">
                        </td>
                        </tr>
                        <tr>
                        <th class="row" >آدرس بنر شماره دو - سمت راست بالا-</th>
                        <td>
                            <input style="width:300px;" type="text" name="ads2" value="<?php echo get_option('ads2'); ?>">
                        </td>
                        <th class="row" >لینک بنر</th>
                        <td>
                            <input style="width:300px;" type="text" name="ads22" value="<?php echo get_option('ads22'); ?>">
                        </td>
                        </tr> 
           <?php
                       
                        break;
    
        } ?>
    </table>
        <?php submit_button('ذخیره همه تنظیمات'); ?>
    </form>
</div>
<?php
}